---
title: Create List
slug: data-platform/api/create-list
docTags: 
createdAt: 2026-09-02T14:41:00.110Z
---

{
  "id": "2c9IZCkoSmBQkApVq-ik1",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.us1.odp.optimizely.com/v3/lists",
    "servers": [
      {
        "url": "https://api.us1.odp.optimizely.com/v3/lists",
        "description": "United States"
      },
      {
        "url": "https://api.eu1.odp.optimizely.com/v3/lists",
        "description": "Europe"
      },
      {
        "url": "https://api.au1.odp.optimizely.com/v3/lists",
        "description": "Asia-Pacific"
      }
    ],
    "name": "Create List",
    "description": "<p>Create a new list within an Optimizely Data Platform (ODP) account.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "CreateList",
          "schema": [
            {
              "name": "name",
              "kind": "required",
              "type": "string",
              "description": "The name of the list to create.",
              "example": "My List"
            }
          ],
          "modelRef": "#/components/schemas/CreateList",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "x-api-key",
          "name": "x-api-key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "202",
        "description": "Accepted",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "undefined",
            "example": "{ \"updates\": [ { \"list_id\": \"sample_list\", \"email\": \"sample@test.com\", \"subscribed\": true } ] }",
            "description": "",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "undefined",
            "example": "{\"title\":\"Bad Request\",\"status\":400,\"timestamp\":\"2018-09-10T21:07:10-05:00\",\"detail\":{\"invalids\":[{\"field\":\"delimiter\",\"reason\":\"Unrecognized delimiter, valid options are comma, tab or pipe\"}]}}",
            "description": "",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "undefined",
            "example": "{  \"message\": \"Forbidden\"}",
            "description": "",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "undefined",
            "example": "{\"title\":\"Bad Request\",\"status\":404,\"timestamp\":\"2018-09-10T21:07:10-05:00\",\"detail\":{\"message\":\"Not found description\"}}",
            "description": "",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "gCzbRqyf-dA212QZK15KT",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.us1.odp.optimizely.com/v3/lists \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"name\": \"My List\"\n     }'"
        },
        {
          "id": "v9WCyPWPy2BkwlPhGqgyZ",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"name\": \"My List\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.us1.odp.optimizely.com/v3/lists\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "Un3b_zUxWMSZz71fDgQkU",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.us1.odp.optimizely.com/v3/lists\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"name\": \"My List\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "7L3jjvZhohNC-ix8seOWH",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.us1.odp.optimizely.com/v3/lists\"\n\npayload = json.dumps({\n   \"name\": \"My List\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "gCzbRqyf-dA212QZK15KT"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-202",
          "language": "202",
          "code": "// Accepted\n\"{ \\\"updates\\\": [ { \\\"list_id\\\": \\\"sample_list\\\", \\\"email\\\": \\\"sample@test.com\\\", \\\"subscribed\\\": true } ] }\""
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n\"{\\\"title\\\":\\\"Bad Request\\\",\\\"status\\\":400,\\\"timestamp\\\":\\\"2018-09-10T21:07:10-05:00\\\",\\\"detail\\\":{\\\"invalids\\\":[{\\\"field\\\":\\\"delimiter\\\",\\\"reason\\\":\\\"Unrecognized delimiter, valid options are comma, tab or pipe\\\"}]}}\""
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n\"{  \\\"message\\\": \\\"Forbidden\\\"}\""
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found\n\"{\\\"title\\\":\\\"Bad Request\\\",\\\"status\\\":404,\\\"timestamp\\\":\\\"2018-09-10T21:07:10-05:00\\\",\\\"detail\\\":{\\\"message\\\":\\\"Not found description\\\"}}\""
        }
      ],
      "selectedLanguageId": "response-0-202"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}